# GeoEnergyIO

[![Stable](https://img.shields.io/badge/docs-stable-blue.svg)](https://sintefmath.github.io/GeoEnergyIO.jl/stable/)
[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://sintefmath.github.io/GeoEnergyIO.jl/dev/)
[![Build Status](https://github.com/sintefmath/GeoEnergyIO.jl/actions/workflows/CI.yml/badge.svg?branch=main)](https://github.com/sintefmath/GeoEnergyIO.jl/actions/workflows/CI.yml?query=branch%3Amain)

Module for parsing and processing various types of input files used in geo-energy reservoir simulation (geothermal, carbon storage, gas storage, oil and gas recovery).

Currently contains two main features:

- Parser for .DATA reservoir simulation cases. The format originated with the Eclipse reservoir simulator produced by SLB and is now used by many reservoir simulators. The most useful publicly available description of one such dialect is found in the [OPM Flow manual](https://opm-project.org/?page_id=955).
- A corner-point grid processor that converts parsed GRDECL files into unstructured meshes that handles general faults through the unstructured mesh from [Jutul.jl](https://github.com/sintefmath/Jutul.jl).

This module is unregistered and work-in-progress. It is extracted from the Julia reservoir simulation package [JutulDarcy.jl](https://github.com/sintefmath/JutulDarcy.jl) and will eventually replace the parser in JutulDarcy. Contributions for additional keywords or other relevant input formats are welcome.

## License and acknowledgements

The code is provided under the MIT license, allowing for commercial usage provided that sufficient attribution is provided. The test data sets come in part from the [opm-tests](https://github.com/opm/opm-tests) repository. These files are licensed under the [Open Database License](http://opendatacommons.org/licenses/odbl/1.0/). For more details, see the headers of those files. Other files are taken from or generated by [MRST](https://mrst.no/).
